Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
jaydave6
Posts: 3
Registered: ‎07-25-2012
My Device: 9700
My Carrier: AT&T

"Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

Hi,

 

We have created a standalone BlackBerry app using BlackBerry JDE 6.0 and signed successfully. It works well on all BB devices of OS 5.0 & above except on 9700 device giving error like, "Module attempts to access a secure API"!!

 

More details:

1.  Device involved & software version
      - AT&T BlackBerry device :  9700 (OS Version: v5.0.0.169 (Platform 5.1.0.30))

 2. We are mainly using following APIs:
     - Browser     : net.rim.blackberry.api.browser.Browser
     - Database    : net.rim.device.api.database
     - Media         : javax.microedition.media.Manager
     - Music Files : javax.microedition.io.Connector

 3.  App link:
      - URL  : 
http://rdtools.mcore.com/att/Forside/epub_reader.jad 

 4. Reproducing steps:
    - Using our 9700 handset, we navigated through MEdiaNet and downloaded the application from above URL. When we attempt to launch the App after downloading, we receive error like, "Module attempts to access a secure API".

 5. Other information:
     - It is a cod file. We use Eclipse plug-in to sign the application and got the "signed successfully" message at the end.

 

 

Can any one help to resolve the error?

 

Thanks.

Please use plain text.
Developer
peter_strange
Posts: 19,599
Registered: ‎07-14-2008
My Device: Not Specified

Re: "Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

Welcome to the forum. 

 

Not tested, but my immediate reaction is that this is in fact just a bug in that, very old, level of OS, which is probably related to the size of the application you are trying to download. 

 

Who gave you this 9700?

Please use plain text.
Developer
kamal_nigam
Posts: 434
Registered: ‎07-23-2012
My Device: Blackberry 10
My Carrier: Orange

Re: "Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

Few points

  1. Check with your service provider also some time they have restriction
  2. Resigned again
  3. Tried to reduce size of individual cod file within 64KB, if u can

 

Thanks
-------------------------------------------------------------------------------------
Press the Accept as solution Button when u got the Solution
Press Kudo to say thank to developer.
-------------------------------------------------------------------------------------.
Please use plain text.
New Contributor
jaydave6
Posts: 3
Registered: ‎07-25-2012
My Device: 9700
My Carrier: AT&T

Re: "Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

Thanks for your prompt reply, Kamal.

 

Here you have few more facts:

 

1) AT&T is the service provider.

2) The app was certified by Enterprise Solution Certification division of AT&T. And AT&T content team is working on listing of this App in their catalog.

3) The app is running without any problem on various BB OS 5.0 devices like 9800, 9300, 8520 etc.

 

So, any other possiblities.

 

Thanks.

Please use plain text.
Developer
peter_strange
Posts: 19,599
Registered: ‎07-14-2008
My Device: Not Specified

Re: "Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

I can't download this onto a test 9700.  I get a 404.  I have checked the typing and also tried it on two devices.  I don't know what the problem is.  Can you check that it works OK from a real BB device?

Please use plain text.
New Contributor
jaydave6
Posts: 3
Registered: ‎07-25-2012
My Device: 9700
My Carrier: AT&T

Re: "Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

Yes, it is working.

 

I am able to install and run the app on 8520 device from that link.

 

Thanks.

 

 

Please use plain text.
Developer
peter_strange
Posts: 19,599
Registered: ‎07-14-2008
My Device: Not Specified

Re: "Module attempts to access a secure API" error on BB 9700 device (OS 5.0)

Just tried again, fails with a 404 on an 8520.  There is something wierd going on here becuase I can see the jad when I browse to the same location.  But I have double checked and triple checked my typing...

 

Anyway, just had another thought.  You can look for a 9700 SImulator that matches the release level you are using, and test to see if the download fails on that as well.  Then try it on another 9700 Simulator with a later version.  Let us know how you get on. 

 

Can some else test on a device? 

Please use plain text.